Get list of projects
GET
/projectsFetches list of projects
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ProjectsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ProjectsApi(config);
const result = await api.getProjects({ "company": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/projects?token=$TESTCOLLAB_TOKEN&company=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
company |
query | integer | Yes | Company ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — List of projects
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].name |
string | Yes | — |
[].description |
string | No | — |
[].archived |
boolean | Yes | — |
[].team |
Array of Project User Minified | No | — |
[].activity |
string | No | — |
[].created_at |
string | Yes | — |
[].updated_at |
string | Yes | — |
[].is_sample |
boolean | No | Indicates that the project is a sample project or not |
[].test_case_count |
number | No | Number of test cases in the project |
[].test_plan_count |
number | No | Number of active test plans in the project |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |